list_for_each_entry_safe_reverse
Prev | Doubly Linked Lists | Next

## Name

list_for_each_entry_safe_reverse —

## Synopsis

`list_for_each_entry_safe_reverse (` |  | pos,
|  | n,
|  | head,
|  | member`)`;

## Arguments

`pos`

  the type * to use as a loop cursor.

`n`

  another type * to use as temporary storage

`head`

  the head for your list.

`member`

  the name of the list_struct within the struct.

## Description

Iterate backwards over list of given type, safe against removal of list entry.

Prev | Up | Next
list_for_each_entry_safe_from | Home | list_for_each_rcu